Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.mejb
Class ClientNotificationListener

    java.lang.Object
      org.jboss.management.mejb.ClientNotificationListener

Direct Known Subclasses:
  JMSClientNotificationListener, PollingClientNotificationListener, RMIClientNotificationListener, SearchClientNotificationListener

public abstract class ClientNotificationListener
extends Object

Basic Local Listener to receive Notification from a remote JMX Agent

Version:
  $Revision: 1.7 $
Author:
  ???

Field Summary
`protected org.jboss.logging.Logger` | `log`
`protected javax.management.NotificationListener` | `mClientListener`
`protected Object` | `mHandback`

Constructor Summary
`ClientNotificationListener(javax.management.ObjectName pSender, javax.management.NotificationListener pClientListener, Object pHandback)`

Method Summary
`void` | `addNotificationListener(MEJB pConnector, javax.management.NotificationFilter pFilter)`
`javax.management.ObjectName` | `createListener(MEJB pConnector, String pClass, Object[] pParameters, String[] pSignatures)`
`boolean` | `equals(Object pTest)`
`javax.management.ObjectName` | `getRemoteListenerName()`
`javax.management.ObjectName` | `getSenderMBean()`
`void` | `removeNotificationListener(MEJB pConnector)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mClientListener

    protected javax.management.NotificationListener mClientListener

### mHandback

    protected Object mHandback

### log

    protected org.jboss.logging.Logger log

Constructor Detail

### ClientNotificationListener

    public ClientNotificationListener(javax.management.ObjectName pSender,
                                      javax.management.NotificationListener pClientListener,
                                      Object pHandback)

Method Detail

### createListener

    public javax.management.ObjectName createListener(MEJB pConnector,
                                                      String pClass,
                                                      Object[] pParameters,
                                                      String[] pSignatures)
                                               throws javax.management.MalformedObjectNameException,
                                                      javax.management.ReflectionException,
                                                      javax.management.MBeanRegistrationException,
                                                      javax.management.MBeanException,
                                                      javax.management.NotCompliantMBeanException,
                                                      RemoteException

  Throws:
    `javax.management.MalformedObjectNameException`
    `javax.management.ReflectionException`
    `javax.management.MBeanRegistrationException`
    `javax.management.MBeanException`
    `javax.management.NotCompliantMBeanException`
    `RemoteException`

### addNotificationListener

    public void addNotificationListener(MEJB pConnector,
                                        javax.management.NotificationFilter pFilter)
                                 throws javax.management.InstanceNotFoundException,
                                        RemoteException

  Throws:
    `javax.management.InstanceNotFoundException`
    `RemoteException`

### removeNotificationListener

    public void removeNotificationListener(MEJB pConnector)
                                    throws javax.management.InstanceNotFoundException,
                                           RemoteException

  Throws:
    `javax.management.InstanceNotFoundException`
    `RemoteException`

### getSenderMBean

    public javax.management.ObjectName getSenderMBean()

### getRemoteListenerName

    public javax.management.ObjectName getRemoteListenerName()

### equals

    public boolean equals(Object pTest)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.